# Generated by Django 5.0.6 on 2024-06-13 08:53

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("draw", "0004_alter_round_number"),
    ]

    operations = [
        migrations.AlterField(
            model_name="round",
            name="number",
            field=models.PositiveSmallIntegerField(
                choices=[(1, "Round 1"), (2, "Round 2"), (3, "Round 3")],
                help_text="The number of the round, 1 or 2 (or 3 for ETEAM)",
                validators=[
                    django.core.validators.MinValueValidator(1),
                    django.core.validators.MaxValueValidator(3),
                ],
                verbose_name="number",
            ),
        ),
        migrations.AlterField(
            model_name="teamdraw",
            name="accepted",
            field=models.PositiveSmallIntegerField(
                choices=[
                    (1, "Problem #1"),
                    (2, "Problem #2"),
                    (3, "Problem #3"),
                    (4, "Problem #4"),
                    (5, "Problem #5"),
                    (6, "Problem #6"),
                    (7, "Problem #7"),
                    (8, "Problem #8"),
                    (9, "Problem #9"),
                    (10, "Problem #10"),
                ],
                default=None,
                null=True,
                verbose_name="accepted problem",
            ),
        ),
        migrations.AlterField(
            model_name="teamdraw",
            name="purposed",
            field=models.PositiveSmallIntegerField(
                choices=[
                    (1, "Problem #1"),
                    (2, "Problem #2"),
                    (3, "Problem #3"),
                    (4, "Problem #4"),
                    (5, "Problem #5"),
                    (6, "Problem #6"),
                    (7, "Problem #7"),
                    (8, "Problem #8"),
                    (9, "Problem #9"),
                    (10, "Problem #10"),
                ],
                default=None,
                null=True,
                verbose_name="purposed problem",
            ),
        ),
    ]
